Arduino

Serial

## end()

#### Description

Disables serial communication, allowing the RX and TX pins to be used for general input and output. To re-enable serial communication, call Serial.begin().

#### Syntax

Serial.end()

Arduino Mega only:
Serial1.end()
Serial2.end()
Serial3.end()

#### Parameters

none

#### Returns

nothing

#### See also

- begin()
- end()
- available()
- read()
- peek()
- parseInt()
- flush()
- print()
- println()
- write()
- SerialEvent()

Reference Home

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes